Summary:	Port scanner
Name:		nmap
Version:	4.02Alpha2
Release:	2
License:	GPL
Group:		Security
Source0:	http://www.insecure.org/nmap/dist/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
URL:		http://www.insecure.org/nmap/index.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nmap is a utility for network exploration or security auditing. It
supports ping scanning (determine which hosts are up), many port
scanning techniques, version detection (determine service protocols
and application versions listening behind ports), and TCP/IP
fingerprinting (remote host OS or device identification). Nmap also
offers flexible target and port specification, decoy/stealth scanning,
sunRPC scanning, and more. Most Unix and Windows platforms are
supported in both GUI and commandline modes. Several popular handheld
devices are also supported, including the Sharp Zaurus and the iPAQ.

nmap supports a large number of scanning techniques such as: UDP, TCP
connect(), TCP SYN (half open), ftp proxy (bounce attack),
Reverse-ident, ICMP (ping sweep), FIN, ACK sweep, Xmas Tree, SYN
sweep, remote operating system detection via TCP/IP stack finger
printing, port scanning, Null scan, Ping, Traceroute, Resolve hostname,
use of decoy hostnames on the local box, etc. etc ... it's great!.

-- Added/updated a bunch of fingerprints, including Windows XP
   release candidates #1 & #2, OpenBSD 2.9, various home
   gateways/cable modem, MacOS X 10.0.4, Linux 2.4.10, Guantlet
   Firewall 4.0a, a few Cisco routers, and, most importantly, the
   Alcatel Advanced Reflexes IP Phone :).  Many other fingerprints
   were updated as well.

-- Integrated William McVey's multi-portlist patch.  This allows you
   to specify different port numbers when scanning both TCP & UDP.
   For example, if you want to UDP for 53,111 and 137 while TCP
   scanning for 21-25,80,139,515,6000,8080 you could do: 
   nmap -sSU -p U:53,111,137,T:21-25,80,139,515,6000,8080 target.com .
   Prior to this patch, you had to either use different Nmap
   executions or scan both UDP & TCP of each port.  See the man page
   for more usage info.

%prep
%setup -q

%build
%configure  \
    CXX=g++ \
    CXXFLAGS=g++ \
    --build=i386-pc-linux \
    --host=i386-pc-linux \
    --with-libpcre=/usr \
    --with-libpcap=/usr \
    --without-openssl \
    --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall nmapdatadir=$RPM_BUILD_ROOT%{_datadir}/nmap
rm -r $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Security
install %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Security

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
